Holger's Java API

## com.antelmann.image
Class ImageURLEntry.Thumbnail<T extends ImageURLEntry>

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.PropertyEntryImpl
              com.antelmann.db.EntryHeader<T>
                  com.antelmann.image.ImageURLEntry.Thumbnail<T>

All Implemented Interfaces:
  DBEntry, DBReference, PropertyEntry, Imageable, DetailedString, Serializable

Enclosing class:
  ImageURLEntry

    public static class ImageURLEntry.Thumbnail<T extends ImageURLEntry>

extends EntryHeader<T>
implements Imageable

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.antelmann.db.PropertyEntryImpl
`propertyChangeSupport, props, um, vcs`

Fields inherited from interface com.antelmann.db.DBReference
`REFERENCE_FLAVOR, REFERENCE_LIST_FLAVOR`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`ImageURLEntry.Thumbnail(Class<T> entryType, Object id, Image thumbnail, URL url, String display)`

Method Summary
`Image` `getDisplayIcon()` returns an image that is suitable for use as an icon for this instance.
`Image` `getDisplayImage()` returns an image that represents a visual representation of this instance.
`Image` `getThumbnail()`
`URL` `getURL()`
`String` `toString()`

Methods inherited from class com.antelmann.db.EntryHeader
`asStub, equals, getDisplayProperty, getReferenceClass, getReferenceEntry, getReferenceID, getReferenceString, setDisplayProperty`

Methods inherited from class com.antelmann.db.PropertyEntryImpl

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, asProperties, canRedo, canUndo, checkPropertyChange, clearProperties, containsPropertyText, containsValuePattern, equalWithProperties, equalWithProperties, getBoolean, getNumber, getProperties, getProperty, getProperty, getPropertyChangeListeners, getPropertyComparator, getPropertyExtractor, getPropertyExtractor, getPropertyKeys, getStringExtractor, getVetoableChangeListeners, isCaseInsensitive, isChangeListenerSupportEnabled, isKeyIn, isUndoSupport, isVetoableChangeSupportEnabled, putAll, redo, removeProperty, removePropertyChangeListener, removeVetoableChangeListener, setAllFrom, setCaseInsensitive, setChangeListenerSupport, setProperty, setUndoSupported, setVetoableChangeSupport, toDetailedString, undo, verifyProperties`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Constructor Detail

### ImageURLEntry.Thumbnail

    public ImageURLEntry.Thumbnail(Class<T> entryType,
                                   Object id,
                                   Image thumbnail,
                                   URL url,
                                   String display)

Method Detail

### getThumbnail

    public Image getThumbnail()
                       throws IOException

  Throws:
    `IOException`

### getDisplayImage

    public Image getDisplayImage()
                          throws IOException

  Description copied from interface: `Imageable`
  returns an image that represents a visual representation of this instance. The method may return null;

  Specified by:
    `getDisplayImage` in interface `Imageable`
  Throws:
    `IOException`

### getURL

    public URL getURL()

### toString

    public String toString()

  Overrides:
    `toString` in class `EntryHeader<T extends ImageURLEntry>`

### getDisplayIcon

    public Image getDisplayIcon()
                         throws IOException

  Description copied from interface: `Imageable`
  returns an image that is suitable for use as an icon for this instance. The method may return null;

  Specified by:
    `getDisplayIcon` in interface `Imageable`
  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads